Subject: X and pcvt conflict

From: Rafal Boni <[email-masked]>

[ I did see mention of this in the archives, but did not see a resolution to
  the problem, so I'm re-asking the question]

I just got myself up to a 9/1 or so current and re-built my kernel to use
PCVT [I'd been using the Aug 1 PCCONS kernel for a while].  I also got and
installed the XFree-2.1.1 stuff off laas.laas.fr 

That's where my problems began:  On starting X, my screen is shifted over
about 1/3rd of a screen to the right [so that my clock, which is usually on the
right edge of the screen is wrapped around and on the left side].  Switching
X to a different resolution [800x600] and then back to 1024x768 seems to fix 
things.

I'll try this with pccons and see what happens, but any ideas are appreciated..

						--rafal

output from dmesg:

NetBSD 1.0_BETA (RAFAL) #3: Sun Sep  4 18:54:46 CDT 1994
    [email-masked]:/usr/src/sys/arch/i386/compile/RAFAL
CPU: i486DX (486-class CPU)
real mem  = 8257536
avail mem = 6569984
using 126 buffers containing 516096 bytes of memory
wdc0 at isa0 port 0x1f0-0x1f7 irq 14
wd0 at wdc0 drive 0: 313MB 1224 cyl, 15 head, 35 sec <WD1007V>
wd1 at wdc0 drive 1: 633MB 1632 cyl, 15 head, 53 sec <WD1007V>
fdc0 at isa0 port 0x3f0-0x3f7 irq 6 drq 2
fd0 at fdc0 drive 0: 1.44MB 80 cyl, 2 head, 18 sec
fd1 at fdc0 drive 1: 1.2MB 80 cyl, 2 head, 15 sec
aic0 at isa0 port 0x340-0x35f irq 11
scsibus0 at aic0
vt0 at isa0 port 0x60-0x6f irq 1: s3 911, 80 col, color, 8 scr, mf2-kbd, [R3.00]
npx0 at isa0 port 0xf0-0xff: using exception 16
com0 at isa0 port 0x3f8-0x3ff irq 4: ns82450 or ns16450, no fifo
com1 at isa0 port 0x2f8-0x2ff irq 3: ns82450 or ns16450, no fifo
com2 at isa0 port 0x3e8-0x3ef irq 5: ns16550a, working fifo
lpt0 at isa0 port 0x278-0x27f irq 7
ie0: unknown AT&T board type code 15
biomask 4840 netmask 3a ttymask 3a

 Aperture driver for XFree86 version 1.1

Output from Xinit/XF86_s3:

XFree86 Version 2.1.1 / X Window System
(protocol Version 11, revision 0, vendor release 5000)
Operating System: NetBSD 
Configured drivers:
  S3: accelerated server for S3 graphics adaptors (Patchlevel 0)
	mmio_928, s3_generic
Using pcvt driver (version 3.0)
(using VT number 1)

Xconfig: /usr/X386/lib/X11/Xconfig
(**) stands for supplied, (--) stands for probed/default values
(**) Mouse: type: MouseSystems, device: /dev/tty00, baudrate: 1200
(**) FontPath set to "/usr/X386/lib/X11/fonts/misc/,/usr/X386/lib/X11/fonts/Spee do/,/usr/X386/lib/X11/fonts/75dpi/,/usr/local/fonts/mentor/"
(--) S3: card type: 386/486 localbus
(--) S3: chipset:   911 
(--) S3: chipset driver: s3_generic
(--) S3: videoram:  1024k
(--) S3: clocks:  25.20  28.32  40.00   0.00  50.30  65.00  37.90  44.90
(--) S3: clocks:  25.20  28.30  80.00  32.50  50.30  65.00  75.80  44.90
(--) S3: Maximum allowed dot-clock: 110MHz
(**) S3: Mode "1024x768": mode clock =  75.000, clock used =  75.800
(**) S3: Mode "800x600": mode clock =  50.000, clock used =  50.300
(**) S3: Virtual resolution set to 1024x768
(--) S3: Couldn't find local bus framebuffer - linear access disabled
(--) S3: Using a banksize of 64k, line width of 1024
(--) S3: Pixmap cache:
(--) S3: Using 2 128-pixel 4 64-pixel and 8 32-pixel slots
(--) S3: Using 8 pages of 768x255 for font caching
MIT-SHM extension disabled due to lack of kernel support